Bug 2068735 - F35FailsToInstall: mcrouter
Summary: F35FailsToInstall: mcrouter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mcrouter
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-03-26 10:22 UTC by Miro Hrončok
Modified: 2022-04-06 19:04 UTC (History)
3 users (show)

Fixed In Version: mcrouter-0.41.0.20220314-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-06 19:04:11 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2022-03-26 10:22:55 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (mcrouter) Fails To Install in Fedora 35:

can't install mcrouter:
  - nothing provides libasync.so.2022.2.21.0()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libfizz.so.2022.02.21.00()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libfolly.so.2022.02.21.00()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides librpcmetadata.so.2022.2.21.0()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libthriftcpp2.so.2022.2.21.0()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libthriftprotocol.so.2022.2.21.0()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libtransport.so.2022.2.21.0()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  - nothing provides libwangle.so.2022.02.21.00()(64bit) needed by mcrouter-0.41.0.20220221-1.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --disablerepo='*' --enablerepo=local install mcrouter


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-03-29 16:49:28 UTC
FEDORA-2022-32fbb3c385 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-32fbb3c385

Comment 2 Fedora Update System 2022-03-30 02:26:34 UTC
FEDORA-2022-32fbb3c385 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-32fbb3c385`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-32fbb3c385

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-04-06 19:04:11 UTC
FEDORA-2022-32fbb3c385 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.